Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060859 - SELinux is preventing /opt/google/chrome/chrome from 'setopt' accesses on the udp_socket .
Summary: SELinux is preventing /opt/google/chrome/chrome from 'setopt' accesses on the...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d66de93b322030136e6265c90e2...
: 1060860 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 18:55 UTC by Daniel Ashton
Modified: 2016-04-25 15:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:58:31 UTC


Attachments (Terms of Use)

Description Daniel Ashton 2014-02-03 18:55:28 UTC
Description of problem:
SELinux is preventing /opt/google/chrome/chrome from 'setopt' accesses on the udp_socket .

*****  Plugin chrome (98.5 confidence) suggests   ****************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Chrome plugins.
Do
# setsebool -P unconfined_chrome_sandbox_transition 0

*****  Plugin catchall (2.46 confidence) suggests   **************************

If you believe that chrome should be allowed setopt access on the  udp_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ServiceDiscover /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ udp_socket ]
Source                        ServiceDiscover
Source Path                   /opt/google/chrome/chrome
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           google-chrome-stable-32.0.1700.102-1.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-119.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.12.9-301.fc20.x86_64 #1 SMP Wed
                              Jan 29 15:56:22 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-02-03 13:48:12 EST
Last Seen                     2014-02-03 13:48:12 EST
Local ID                      58f734bc-8481-43ed-916a-6fc64690c8b9

Raw Audit Messages
type=AVC msg=audit(1391453292.856:575): avc:  denied  { setopt } for  pid=7076 comm="ServiceDiscover" scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=udp_socket


type=SYSCALL msg=audit(1391453292.856:575): arch=x86_64 syscall=setsockopt success=yes exit=0 a0=12 a1=1 a2=2 a3=7fe8faf90138 items=0 ppid=6 pid=7076 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=2 tty=(none) comm=ServiceDiscover exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Hash: ServiceDiscover,chrome_sandbox_t,unconfined_t,udp_socket,setopt

Additional info:
reporter:       libreport-2.1.11
hashmarkername: setroubleshoot
kernel:         3.12.9-301.fc20.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2014-02-04 10:36:43 UTC
*** Bug 1060860 has been marked as a duplicate of this bug. ***

Comment 2 Miroslav Grepl 2014-02-04 11:30:12 UTC
You can run

# setsebool -P unconfined_chrome_sandbox_transition 0

for now to make it working. Are you getting more AVC msgs caused by "ServiceDiscover"?

Comment 3 Daniel Walsh 2014-02-14 19:00:22 UTC
This seems like something we would want to block from a chrome_sandbox?

Comment 4 Fedora End Of Life 2015-05-29 10:47:45 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 14:58:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Daniel Ashton 2016-04-25 15:07:11 UTC
CLOSED EOL, clearing needinfo flag


Note You need to log in before you can comment on or make changes to this bug.